Package com.google.protobuf

# Class ExtensionLite<ContainingType extends MessageLite,Type>

java.lang.Object
com.google.protobuf.ExtensionLite<ContainingType,Type>

Direct Known Subclasses:
  `Extension`, `GeneratedMessageLite.GeneratedExtension`

public abstract class ExtensionLite<ContainingType extends MessageLite,Type> extends Object
Lite interface that generated extensions implement.

Methods are for use by generated code only. You can hold a reference to extensions using this type name.

## Constructor Summary

Constructors
Constructor
Description
`ExtensionLite()`

## Method Summary

Modifier and Type
Method
Description
`abstract Type`
`getDefaultValue()`
Returns the default value of the extension field.
`abstract WireFormat.FieldType`
`getLiteType()`
Returns the type of the field.
`abstract MessageLite`
`getMessageDefaultInstance()`
Returns the default instance of the extension field, if it's a message extension.
`abstract int`
`getNumber()`
Returns the field number of the extension.
`abstract boolean`
`isRepeated()`
Returns whether it is a repeated field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtensionLite

public ExtensionLite()

## Method Details

### getNumber

public abstract int getNumber()
Returns the field number of the extension.

### getLiteType

public abstract WireFormat.FieldType getLiteType()
Returns the type of the field.

### isRepeated

public abstract boolean isRepeated()
Returns whether it is a repeated field.

### getDefaultValue

public abstract Type getDefaultValue()
Returns the default value of the extension field.

### getMessageDefaultInstance

public abstract MessageLite getMessageDefaultInstance()
Returns the default instance of the extension field, if it's a message extension.